summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-07-18 05:26:39 +0000
committerMike Frysinger <vapier@gentoo.org>2005-07-18 05:26:39 +0000
commit1a1fc16459f809b51d518104aef09b1c34dc70c8 (patch)
treedaa80326a9932525642b622a71f708de67511ac7
parent88afb64279d87fb1a97d0a5ca1d75a40e30fc0e7 (diff)
downloadlibast-1a1fc16459f809b51d518104aef09b1c34dc70c8.tar.gz
abort early on if some autotool app failed to run
SVN revision: 15809
-rwxr-xr-xautogen.sh18
1 files changed, 13 insertions, 5 deletions
diff --git a/autogen.sh b/autogen.sh
index d4694ac..f453e03 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -9,6 +9,12 @@ broken() {
echo "ERROR: $1 not found."
exit -1
}
+abort() {
+ echo
+ echo "Running '$1' failed :("
+ echo "Try updating the package on your system and try again."
+ exit -2
+}
DIE=0
@@ -54,11 +60,13 @@ if test ! -f "`$ACLOCAL --print-ac-dir`/libast.m4"; then
fi
# Run the stuff.
-(set -x && $LIBTOOLIZE -c -f)
-(set -x && $ACLOCAL $ACLOCAL_FLAGS)
-(set -x && $AUTOCONF)
-(set -x && $AUTOHEADER)
-(set -x && $AUTOMAKE -a -c)
+(set -x && $LIBTOOLIZE -c -f) || abort libtool
+(set -x && $ACLOCAL $ACLOCAL_FLAGS) || abort aclocal
+(set -x && $AUTOCONF) || abort autoconf
+(set -x && $AUTOHEADER) || abort autoheader
+(set -x && $AUTOMAKE -a -c) || abort automake
# Run configure.
+if test x"$NOCONFIGURE" = x; then
(set -x && ./configure "$@")
+fi